## dh-make-perl 0.60

=== debian/changelog ===
dh-make-perl (0.60) unstable; urgency=low

  [ Ryan Niebur ]
  * fix MANIFEST file handling
  * use Test::DistManifest
  * add missing requires for Parse::DebControl
  * add missing build_requires on File::Touch
  * Update ryan52's email address

  [ gregor herrmann ]
  * Re-add "NO_NETWORK=1" to tests in debian/rules, got lost somewhere.
  * Only add a dependency on perl-modules if we need a newer version than the
    one in oldstable.
  * Documentation fix for Debian::Version::deb_ver_cmp.
  * Add perl (>= 5.10) to as a preferred alternative to libmodule-build-perl.
  * Check if the possible examples directory is actually a directory before
    adding "$directory/*" to <pkg>.examples; thanks to Slaven Rezic for the
    bug report (closes: #548950).
  * Rewrite comment about YAML::LoadFile in lib/DhMakePerl.pm; thanks to
    Slaven Rezic for the bug report (closes: #548935).

  [ Damyan Ivanov ]
  * Drop support for debhelper compatibility levels other than 7
  * stop creating Makefile from Build.PL

  [ Maximilian Gass ]
  * Added myself to uploaders
  * Ignore META.yml when it's not a hash (closes: #543655)

 -- Damyan Ivanov <dmn@debian.org>  Wed, 30 Sep 2009 15:41:04 +0300

dh-make-perl (0.59) unstable; urgency=low

  [ Damyan Ivanov ]
  * debian/rules: compact to (almost) 3 lines

  [ Salvatore Bonaccorso ]
  * Bump Standards-Version to 3.8.3 (dh-make-perl, tests and generated
    packages).
    - The requirement for Perl modules to have a versioned Depend and
      Build-Depend on perl >= 5.6.0-16 has been removed.
  * t/Control.t: Adjust use of perl dependency in Build-Depends-Indep
    filed generated for test. Use Standards-Version 3.8.3 in generated
    `real' control file too.
  * lib/Debian/Control/FromCPAN.pm: get rid of the min_perl_version 
    constant use. 

 -- Damyan Ivanov <dmn@debian.org>  Mon, 17 Aug 2009 20:30:25 +0300

dh-make-perl (0.58) unstable; urgency=low

  [ gregor herrmann ]
  * POD: add a notice that --notest was removed and the new way to skip tests
    is to add nocheck to the DEB_BUILD_OPTIONS environment variable
    (closes: #536733).

  [ Ansgar Burchardt ]
  * fix two typos in the documentation

  [ Damyan Ivanov ]
  * t/core-modules.t: add a bogus module test
  * corelist.t: do not iterate over modules in /usr/share|lib/perl/$VER
    some of the modules there aren't core, notably
    CPANPLUS::Config::System. Closes: #536989

 -- Damyan Ivanov <dmn@debian.org>  Tue, 04 Aug 2009 18:11:45 +0300

dh-make-perl (0.57) unstable; urgency=low

  [ Nathan Handler ]
  * Bump Standards-Version to 3.8.2
    + in debian/control (no changes needed)
    + in generated package's debian/control
    + in t/dists

  [ gregor herrmann ]
  * Change parsing of sources.list in Debian::AptContents to make it work with
    file:/ URIs, add a test. Thanks to Raphael Geissert for the bug report
    (closes: #535017).

  [ Salvatore Bonaccorso ]
  * Add myself to Uploaders 
  * Correct test in t/AptContents.t for file: schema.
  * Further improve gregoa's change and follow now that was apt-file is doing.
    (See #535017). 

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Sat, 04 Jul 2009 08:30:33 +0200

dh-make-perl (0.56) unstable; urgency=low

  [ gregor herrmann ]
  * Add the whole Debian::Dependency object to the deps hash in
    Debian::Dependencies' prune function instead of just the version; fixes
    "Can't call method "ver" without a package or object reference at
    /usr/share/perl5/Debian/Dependencies.pm line 125." error that occurs when
    a package is listed more than once in %deps.

  [ Ryan Niebur ]
  * remove useless comments from watch file
  * don't include .svn-base files in the docs. this fixes running the
    tests in a subversion checkout and fixes a really annoying bug where
    .svn-base files get added when you --refresh under an svn checkout.
  * depends on libparse-debianchangelog-perl (Closes: #526660)

  [ Damyan Ivanov ]
  * add 'make' to the list of commands
  * remove code supporting CPAN < 1.9205, which is what ships with
    perl-modules 5.10 (on which we already depend)
  * move CPAN configuration into a method
  * move finding CPAN module object for given module name into a method
  * when a dependency module package is not found, guess the package name
    after the CPAN distribution that contains the module

  * Dependency classes improvements:
    + there is no '==' dependency relation; it is '='
    + when checking for duplicate or overlapping dependencies, all kinds of
      version relations are supported
    + Dependencies: add overloading of 'eq' and '<=>' operators
    + null versions ("0", "0.000" and similar) are now ignored
    + add support for alternative dependencies (foo | bar)
  * --refresh additions
    + add/drop quilt from debian/rules and debian/control depending on
      presense of debian/patches/series; also try to keep README.source up to
      date with regard to quilt usage
    + if apt-file data is available, update package dependencies from META
    + Dependencies are sorted
  * move conversion from numerical perl version to deb version into a
    sub and add tests about it
  * substitute core module dependencies with dependencies on perl-
    modules
  * AptContents::find_perl_module_package returns Debian::Dependency
    object
  * fix a typo in NEWS.debian
  * FromCPAN: fix detection of arch-indep packages
  * Config: restore verbose to 1 by default
  * add --[no-]backups option to --refresh, on by default
  * DhMakePerl: convert "my $maindir" to "$self->main_dir" and stop passing it
    to object methods
  * Config: fix config file parsing when same options are given on the
    command line
  * add explicit build-dependency on libtest-simple-perl (>= 0.82) as we use
    new_ok() in tests and it is not available before that (and in current
    perl-modules)

  [ gregor herrmann ]
  * Create backup of debian/control in --refresh mode.


=== debian/control ===
Source: dh-make-perl
Section: perl
Priority: optional
Build-Depends: debhelper (>= 7.0.50),
 perl (>= 5.10) | libmodule-build-perl
Build-Depends-Indep: perl,
 libapt-pkg-perl,
 libclass-accessor-perl,
 libemail-date-format-perl,
 libfile-find-rule-perl,
 libfile-touch-perl,
 liblist-moreutils-perl,
 libmodule-corelist-perl (>= 2.14),
 libmodule-depends-perl,
 libparse-debcontrol-perl,
 libparse-debianchangelog-perl,
 libtest-deep-perl,
 libtest-differences-perl,
 libtest-distmanifest-perl,
 libtest-exception-perl,
 libtest-pod-coverage-perl,
 libtest-pod-perl,
 libtest-simple-perl (>= 0.82),
 libtext-diff-perl,
 libtie-ixhash-perl,
 libwww-mechanize-perl,
 libyaml-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Gunnar Wolf <gwolf@debian.org>, Wolfgang Schemmel <debian@37.org>,
 Christopher Sacca <csacca@thecsl.org>,
 Damyan Ivanov <dmn@debian.org>, gregor herrmann <gregoa@debian.org>,
 Oliver Gorwits <oliver.gorwits@oucs.ox.ac.uk>,
 Ryan Niebur <ryan@debian.org>, Nathan Handler <nhandler@ubuntu.com>,
 Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>,
 Maximilian Gass <mxey@cloudconnected.org>
Standards-Version: 3.8.3
Vcs-Svn: svn://svn.debian.org/pkg-perl/trunk/dh-make-perl/
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-perl/trunk/dh-make-perl/

Package: dh-make-perl
Architecture: all
Depends: debhelper (>= 7), ${perl:Depends}, ${misc:Depends},
 make, dpkg-dev, fakeroot,
 libapt-pkg-perl,
 libclass-accessor-perl,
 libemail-date-format-perl,
 liblist-moreutils-perl,
 libmodule-corelist-perl (>= 2.14),
 libmodule-depends-perl,
 libparse-debcontrol-perl,
 libparse-debianchangelog-perl,
 libtie-ixhash-perl,
 libwww-mechanize-perl,
 libyaml-perl
Recommends: apt-file (>= 2.1.0), perl (>= 5.10) | libmodule-build-perl
Description: helper for creating Debian packages from perl modules
 dh-make-perl will create the files required to build a Debian source
 package out of a perl package.  This works for most simple packages
 and is also useful for getting started with packaging perl modules.
 Given a perl package name, it can also automatically download it from
 CPAN.

## dh-make-perl 0.62

=== debian/changelog ===
dh-make-perl (0.62) unstable; urgency=low

  [ Damyan Ivanov ]
  * tighten matching READMEs a bit; Closes: #560165
  * while looking for docs, do not delve into SVN and GIT dirs
  * add perl (>= 5.10.1) as a preferred alternative (build) dependency to
    libmodule-corelist-perl (>= 2.14) and libtest-simple-perl (>= 0.82)
  * replace the hard-coded default to /etc/apt/sources.list with querying
    AptPkg's Config about possible sources.list files. Closes: #557961
  * call AptPkg::Config::_config->init before asking for configuration details
  * bump perl (build-) dependencies to 5.10 as we use language features not
    found in 5.8

  [ gregor herrmann ]
  * Add Provides and Replaces to lib/Debian/Control/Stanza{,/Binary}.pm.
  * Uppercase "DISCLAIMER" in generated debian/copyright to make it more
    easily visible.
  * New option "--only": update only specified file(s) in --refresh mode.
  * Update years of copyright. Sync copyright holders' list between
    debian/copyright and lib/DhMakePerl.pm.

  [ Salvatore Bonaccorso ]
  * debian/copyright: Update to revision 135 of DEP5 Format-Specification for
    machine readable copyright file. 
  * Referesh template for debian/copyright to follow the revision 135 or DEP5
    Format-Specification. Update URI of the format specification.
  * Do not append found entry for examples and docs to the corresponding file,
    but open a new file with the found entries. Slightly improve the routines
    to avoid dublicated entries in package.examples and package.docs when using
    --refresh. 
  * debian/control: Add libarray-unique-perl to (Build-)Depends. 
  * Small code readability changes in dh-make-perl modules. 

 -- gregor herrmann <gregoa@debian.org>  Tue, 05 Jan 2010 21:14:37 +0100

dh-make-perl (0.61) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * Update template license text for debian/copyright to follow the DEP5
    Format-Specification at http://dep.debian.net/deps/dep5/. Update texts
    layout and drop use of License-Alias: Perl.

  [ gregor herrmann ]
  * Make sure we use the original $ENV{'PWD'} before CPAN::Distribution::get()
    resets it, otherwise the package ends up under $HOME/.cpan with the --cpan
    option.
  * Add a note to the disclaimer in the generated debian/copyright file.
  * Remove README, it's just an excerpt of the POD/manpage.
  * debian/copyright: convert to the DEP5 format.

  [ Damyan Ivanov ]
  * when considering a core module dependency, use 'perl' package instead of
    'perl-modules'

 -- gregor herrmann <gregoa@debian.org>  Wed, 11 Nov 2009 17:10:05 +0100

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,16 @@
 Section: perl
 Priority: optional
 Build-Depends: debhelper (>= 7.0.50),
- perl (>= 5.10) | libmodule-build-perl
-Build-Depends-Indep: perl,
+ perl (>= 5.10)
+Build-Depends-Indep: 
  libapt-pkg-perl,
+ libarray-unique-perl,
  libclass-accessor-perl,
  libemail-date-format-perl,
  libfile-find-rule-perl,
  libfile-touch-perl,
  liblist-moreutils-perl,
- libmodule-corelist-perl (>= 2.14),
+ perl (>= 5.10.1) | libmodule-corelist-perl (>= 2.14),
  libmodule-depends-perl,
  libparse-debcontrol-perl,
  libparse-debianchangelog-perl,
@@ -20,7 +21,7 @@
  libtest-exception-perl,
  libtest-pod-coverage-perl,
  libtest-pod-perl,
- libtest-simple-perl (>= 0.82),
+ perl (>= 5.10.1) | libtest-simple-perl (>= 0.82),
  libtext-diff-perl,
  libtie-ixhash-perl,
  libwww-mechanize-perl,
@@ -40,19 +41,20 @@
 Package: dh-make-perl
 Architecture: all
 Depends: debhelper (>= 7), ${perl:Depends}, ${misc:Depends},
- make, dpkg-dev, fakeroot,
+ make, dpkg-dev, fakeroot, perl (>= 5.10),
  libapt-pkg-perl,
+ libarray-unique-perl,
  libclass-accessor-perl,
  libemail-date-format-perl,
  liblist-moreutils-perl,
- libmodule-corelist-perl (>= 2.14),
+ perl (>= 5.10.1) | libmodule-corelist-perl (>= 2.14),
  libmodule-depends-perl,
  libparse-debcontrol-perl,
  libparse-debianchangelog-perl,
  libtie-ixhash-perl,
  libwww-mechanize-perl,
  libyaml-perl
-Recommends: apt-file (>= 2.1.0), perl (>= 5.10) | libmodule-build-perl
+Recommends: apt-file (>= 2.1.0)
 Description: helper for creating Debian packages from perl modules
  dh-make-perl will create the files required to build a Debian source
  package out of a perl package.  This works for most simple packages

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_test:
# leave this here for Test::DistManifest..I want it to happen on package build but not on CPAN install.
	NO_NETWORK=1 RELEASE_TESTING=1 dh_auto_test

clean:
	dh clean

	# clean after test packages
	for i in Strange-0.1 Strange-2.1; do\
		if test -d "t/dists/$$i/debian"; then \
		    ( \
			cd t/dists/$$i && \
			debian/rules clean && \
			cd .. && \
			rm -rf $$i/debian; \
		    ) \
		fi \
	done

## dh-make-perl 0.66

=== Makefile ===
#!/usr/bin/make -f

PERL ?= /usr/bin/perl

all: build

Build: Build.PL
	$(PERL) $<

build install test manifest: Build
	./Build $@

orig:
	[ ! -e debian/rules ] || $(MAKE) -f debian/rules clean
	$(MAKE) Build
	./Build $@

dist: manifest
	./Build $@

clean:
	[ ! -e Build ] || ./Build $@

realclean distclean: clean
	[ ! -e MANIFEST ] || rm MANIFEST
	[ ! -e META.yml ] || rm META.yml

.PHONY: all build install test orig dist manifest clean realclean distclean
# vim: noet

## dh-make-perl 0.79

=== debian/changelog ===
dh-make-perl (0.79-1) unstable; urgency=low

  * silence a warning when reporting about a core-satisfied dependency without
    a version
  * fix problems with perl 5.18:
    (Closes: #719829)
    + fix missing =back in Debian::Control::Stanza::CommaSeparated POD
    + sort a couple of hash key walks breaking tests with perl 5.18
  * remove the trailing slash from ustream/watch URLs
  * drop usage of experimental given/when in Packaging.pm
  * rework --only internal representation to be a hash
  * t/dists.t: rework running dh-make-perl and give all diagnostics when a
    test fails
  * fix special handling of changed copyright years
  * make dh-make-perl report its version on every invocation

 -- Damyan Ivanov <dmn@debian.org>  Fri, 16 Aug 2013 14:00:30 +0200

dh-make-perl (0.78-1) unstable; urgency=low

  * add $VERSION to all modules
  * use strict; use warnings; everywhere
  * fix a bunch of typos thanks to Test::Spelling

 -- Damyan Ivanov <dmn@debian.org>  Fri, 09 Aug 2013 14:39:07 +0200

dh-make-perl (0.77-1) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * Bump version for DhMakePerl to 0.77
  * Bump Standards-Version to 3.9.4
  * Create packages with Standards-Version 3.9.4.
    Adjust default Standards-Versions in DhMakePerl::Command::Packaging to
    3.9.4.
    Bump Standards-Version in debian/control for tests to 3.9.4.
  * Use metacpan.org instead of search.cpan.org.
    Use https://metacpan.org instead of http://search.cpan.org in
    debian/watch, debian/copyright and debian/control files.
    Adjust the test files using https://metacpan.org.
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Use anonscm.debian.org for source location in debian/copyright
  * Create Vcs-Git with canonical URI (git://anonscm.debian.org)
    (Closes: #697876)

  [ Damyan Ivanov ]
  * add test about handling user:pass@ in sources.list URLs
  * add debian/source/{format,local-options}. shut up, lintian :)

  [ gregor herrmann ]
  * DhMakePerl::Command::Packaging: honour command line options
    for packagename/version in extract_name_ver.

  [ Nathan Handler ]
  * Email change: nhandler -> nhandler@debian.org

  [ Dima Kogan ]
  * Not importing IO::Dir since I'm not using it
  * better handling of upstream-supplied debian/ directories.  If we are
    making a git repo I now remove debian/ directory if the upstream ships
    it. This goes into the 'master' branch, so the 'upstream' branch
    contains the original debian/ directory, and thus matches the
    pristine-tar

  [ gregor herrmann ]
  * DhMakePerl::Command::make: Try to guess tarball name when run from an
    unpacked source directory.
  * DhMakePerl::Command::Packaging: Don't sanitize version if given on the
    command line.
  * Update years of copyright.
  * DhMakePerl::Command::Packaging: replace "This library" with the module
    name in the long description, like we already did with "This module".

  [ Axel Beckert ]
  * DhMakePerl::Command::make: Call git_add_debian before build_package
    and install_package to not add files generated during the package
    build process to the git repository.
  * Add patch by Matthew Gabeler-Lee to understand packages named
    "-vX.Y.Z". (Closes: #701140)
  * Fix "fatal: pathspec '…' did not match any files" error of "git
    add". (Closes: #659526)
  * Add option --build-source to build .dsc file (c.f. #645011). Also add
    a cpan2dsc 'flavour' of dh-make-perl. If it is called by that name,
    the behaviour changes for easy .dsc creation.
  * Mention cpan2deb and cpan2dsc in the long description.
  * Add myself to Uploaders.

  [ Oleg Gashev ]
  * Fixed timestamp regexp to t/dists.t file. If time zone is EDT, failed
    tests from t/dists.t file: Generated tree matches template. Problem
    with incorrect timestamp regexp.

  [ Damyan Ivanov ]
  * Dependency: assume '>=' relationship if missing when constructing from
    hash /usr/share/perl5/Debian/Dependency.pm line 157. Thanks to Robert
    Norris for his patience and his excellent analysis. (Closes: #704480)
  * exclude README in the root directory from .docs "in 9x% we remove it
    from .docs afterwards" this change is a bit of a "big gun", because it
    doesn't really check if README is autogenerated, but hey, fixing a 90%
    false-positive hit is better than introducing a 10% false-negative hit
    (Closes: #608936)
  * drop mangling versions like 2.003004 into 2.3.4 this partially reverts
    385451609f5af2ace92c3838133dd4ed2c605608 see there for the reasoning
    back in 2010 (TODO is interesting) the fix seems to cause more
    problems than it solves. matching cpan-version to debian version is
    dark area

  [ gregor herrmann ]
  * Fix tests for .docs generation.
  * Fix tests for version mangling.
  * debian/control: one 'perl' is enough. Thanks to lintian.

  [ Damyan Ivanov ]
  * use dh 9 for arch:any packages to get hardening flags
  * drop support for debhelper compatibility levels before 8
  * drop documentation and support of rules files for dh7

  [ Lasse Makholm ]
  * Debian::AptContents: Fix repo_source_to_contents_paths() to also work on
    Ubuntu.
    Make sure to generate paths both with and without components to be
    compatible with both old and new apt-file versions.
    (LP: #1034881)

  [ Damyan Ivanov ]
  * use Text::Balanced's extract_quotelike for parsing quoted strings
    (Closes: #717025)
  * do not fail AptContents.t with left over Contents.cache present
  * Control: revert ->binary to plain hashref and provide the Tie::IxHash tie
    via ->binary_tie (Closes: #712432)
  * configure_cpan: save/restore the CWD
  * make: when neither --cpan or a tarball is given, also try to use
    debian-named .orig.tar.gz
  * make: skip pristine-tar if there is no known tarball (Closes: #689476)
  * FromCPAN: catch in-core dependencies that require too new perl and provide
    an out-of-core alternative (Closes: #691534)
  * move mod_cpan_version from ::make to ::Packaging (Closes: #691859)


=== debian/control ===
Source: dh-make-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Wolfgang Schemmel <debian@37.org>,
           Christopher Sacca <csacca@thecsl.org>,
           Damyan Ivanov <dmn@debian.org>,
           gregor herrmann <gregoa@debian.org>,
           Oliver Gorwits <oliver.gorwits@oucs.ox.ac.uk>,
           Ryan Niebur <ryan@debian.org>,
           Nathan Handler <nhandler@debian.org>,
           Salvatore Bonaccorso <carnil@debian.org>,
           Maximilian Gass <mxey@cloudconnected.org>,
           Nicholas Bamber <nicholas@periapt.co.uk>,
           Axel Beckert <abe@debian.org>
Section: perl
Priority: optional
Build-Depends: debhelper (>= 8), perl
Build-Depends-Indep: libapt-pkg-perl,
                     libarray-unique-perl,
                     libclass-accessor-perl,
                     perl (>= 5.13.10) | libcpan-meta-perl,
                     libdpkg-perl,
                     libemail-address-perl,
                     libemail-date-format-perl,
                     libipc-run-perl,
                     libfile-dircompare-perl,
                     libfile-find-rule-perl,
                     libfile-touch-perl,
                     libfile-which-perl,
                     liblist-moreutils-perl,
                     libmodule-depends-perl (>= 0.15),
                     libparse-debcontrol-perl,
                     libparse-debianchangelog-perl,
                     libsoftware-license-perl,
                     libtest-compile-perl,
                     libtest-deep-perl,
                     libtest-differences-perl,
                     libtest-distmanifest-perl,
                     libtest-exception-perl,
                     libtest-pod-coverage-perl,
                     libtest-pod-perl,
                     libtext-diff-perl,
                     libtie-ixhash-perl,
                     libwww-mechanize-perl,
                     libyaml-perl
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/dh-make-perl.git
Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/dh-make-perl.git

Package: dh-make-perl
Architecture: all
Depends: debhelper (>= 8),
         ${perl:Depends},
         ${misc:Depends},
         make,
         dpkg-dev,
         fakeroot,
         libapt-pkg-perl,
         libarray-unique-perl,
         libclass-accessor-perl,
         perl (>= 5.13.10) | libcpan-meta-perl,
         libdpkg-perl,
         libemail-address-perl,
         libemail-date-format-perl,
         libfile-which-perl,
         liblist-moreutils-perl,
         libmodule-depends-perl (>= 0.15),
         libparse-debcontrol-perl,
         libparse-debianchangelog-perl,
         libsoftware-license-perl,
         libtie-ixhash-perl,
         libwww-mechanize-perl,
         libyaml-perl,
         perl
Recommends: apt-file (>= 2.5.0),
            git,
            pristine-tar
Description: helper for creating Debian packages from perl modules
 dh-make-perl will create the files required to build a Debian source
 package out of a perl package.  This works for most simple packages
 and is also useful for getting started with packaging perl modules.
 Given a perl package name, it can also automatically download it from
 CPAN.
 .
 dh-make-perl can also help keeping the debian/ content current when upstream
 dependencies or Debian practices change. It can also help improve existing
 Perl module packages.
 .
 Includes the cpan2deb and cpan2dsc flavours.

## dh-make-perl 0.80

=== debian/changelog ===
dh-make-perl (0.80-1) unstable; urgency=low

  [ CSILLAG Tamas ]
  * add Homepage to d/control (lintian check suggested)
  * add rename_to_debian_package_dir.
    This will rename the directory name to the canonical name of
    the debian package.
  * use system("mv ...") when cross device directory move is expected
    otherwise just use rename

  [ Damyan Ivanov ]
  * FromCPAN/find_debs_for_modules: do not crash when all offerred packages
    are perl(-(modules|base))? (Closes: #725206)
  * drop trailing slash from t/Control.t test file

  [ Salvatore Bonaccorso ]
  * Create packages with Standards-Version 3.9.5
  * Adjust Standards-Version in control files of testsuite
  * Bump Standards-Version to 3.9.5

 -- Damyan Ivanov <dmn@debian.org>  Tue, 29 Oct 2013 20:52:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,4 +1,5 @@
 Source: dh-make-perl
+Homepage: https://metacpan.org/release/DhMakePerl
 Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
 Uploaders: Wolfgang Schemmel <debian@37.org>,
            Christopher Sacca <csacca@thecsl.org>,
@@ -42,7 +43,7 @@
                      libtie-ixhash-perl,
                      libwww-mechanize-perl,
                      libyaml-perl
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/dh-make-perl.git
 Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/dh-make-perl.git

=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,18 @@
 #!/usr/bin/make -f
+
+BUILDHOME = $(CURDIR)/debian/build
 
 %:
 	dh $@
 
 override_dh_auto_test:
 # leave this here for Test::DistManifest..I want it to happen on package build but not on CPAN install.
-	NO_NETWORK=1 RELEASE_TESTING=1 dh_auto_test
+	mkdir -p $(BUILDHOME)
+	HOME=$(BUILDHOME) NO_NETWORK=1 RELEASE_TESTING=1 dh_auto_test
 
-clean:
-	dh clean
+override_dh_clean:
+	dh_clean
+	rm -rf $(BUILDHOME)
 
 	# clean after test packages
 	for i in Strange-0.1 Strange-2.1; do\

=== debian/watch ===
version=2
https://alioth.debian.org/frs/?group_id=30274 \
    .+/dh-make-perl_([\d.]+)\.orig\.tar\.gz

## dh-make-perl 0.83

=== debian/changelog ===
dh-make-perl (0.83-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend
  * Update repository URL in Build.PL to the cgit web frontend
  * When creating debian/control file use cgit web frontend URL for the
    Vcs-Browser field
  * Upse cgit web frontend whean searching for pkg-perl package repositories

  [ Damyan Ivanov ]
  * HOWTO.release: increase version after tagging

 -- Damyan Ivanov <dmn@debian.org>  Mon, 04 Aug 2014 22:15:56 +0300

dh-make-perl (0.82-1) unstable; urgency=medium

  * HOWTO.Release: use dpt push in the pushing part
  * make: include dh-make-perl version in the commit message of the initial
    packaging
  * Skip POD tests unless RELEASE_TESTING is present in the environment
    remove RELEASE_TESTING from dh_auto_test invocation
    (Closes: #752917, FTBFS with perl 5.20)
  * fix the error message when more than one command is given on the command
    line
  * the locate command now accepts multiple arguments
  * build-depend on the separately packaged Module::Build

 -- Damyan Ivanov <dmn@debian.org>  Wed, 02 Jul 2014 20:25:38 +0300

dh-make-perl (0.81-1) unstable; urgency=medium

  [ Dima Kogan ]
  * If unable to parse pkgname or version, quit with a useful error message.
  * Replaced all 'start_dir' uses with 'main_dir'

  [ gregor herrmann ]
  * DhMakePerl::Command::Packaging:
    - install CONTRIBUTING files in extract_docs().
    - require debhelper 9.20120312 only for arch:any packages;
      for arch:all debhelper 8 or 9 are enough
    - add a trailing ~ to all versioned dependencies to make
      backporting easier
    - drop special casing for all kinds of dependencies which needed
      debhelper 7.x.
      Support for debhelper < 8 was dropped in dh-make-perl 0.77.
  * Reword "debhelper(1) 7 tiny" to the more accurate "dh(1)".
    Also rename is_dh7tiny() method to is_dhtiny().
  * Update copyright years.

  [ Axel Beckert ]
  * Apply wrap-and-sort.
  * Untangle checks for pristine-tar and upstream tarball in
    git_add_debian() (Closes: #735968)
  * Code-deduplication by splitting up guess_tarball() into
    guess_tarball($prefix) and guess_debian_tarball() and then using
    guess_tarball() also in setup_dir().
  * Iterate over all supported tar ball suffixes in guess_tarball().
  * Use Cwd's realpath for upstream tarball search if main_dir is just "."
  * Remove Maximilian Gaß from Uploaders (no more active according to himself)

  [ gregor herrmann ]
  * debian/control: remove Nicholas Bamber from Uploaders on request of
    the MIA team.
  * Bump required debhelper version for Module::Build::Tiny to 9.20140227.

 -- Damyan Ivanov <dmn@debian.org>  Sun, 18 May 2014 15:29:19 +0300

=== debian/control ===
--- 
+++ 
@@ -9,24 +9,23 @@
            Ryan Niebur <ryan@debian.org>,
            Nathan Handler <nhandler@debian.org>,
            Salvatore Bonaccorso <carnil@debian.org>,
-           Maximilian Gass <mxey@cloudconnected.org>,
-           Nicholas Bamber <nicholas@periapt.co.uk>,
            Axel Beckert <abe@debian.org>
 Section: perl
 Priority: optional
-Build-Depends: debhelper (>= 8), perl
+Build-Depends: debhelper (>= 8),
+               libmodule-build-perl,
+               perl
 Build-Depends-Indep: libapt-pkg-perl,
                      libarray-unique-perl,
                      libclass-accessor-perl,
-                     perl (>= 5.13.10) | libcpan-meta-perl,
                      libdpkg-perl,
                      libemail-address-perl,
                      libemail-date-format-perl,
-                     libipc-run-perl,
                      libfile-dircompare-perl,
                      libfile-find-rule-perl,
                      libfile-touch-perl,
                      libfile-which-perl,
+                     libipc-run-perl,
                      liblist-moreutils-perl,
                      libmodule-depends-perl (>= 0.15),
                      libparse-debcontrol-perl,
@@ -42,23 +41,20 @@
                      libtext-diff-perl,
                      libtie-ixhash-perl,
                      libwww-mechanize-perl,
-                     libyaml-perl
+                     libyaml-perl,
+                     perl (>= 5.13.10) | libcpan-meta-perl
 Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/dh-make-perl.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/dh-make-perl.git
 Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/dh-make-perl.git
 
 Package: dh-make-perl
 Architecture: all
 Depends: debhelper (>= 8),
-         ${perl:Depends},
-         ${misc:Depends},
-         make,
          dpkg-dev,
          fakeroot,
          libapt-pkg-perl,
          libarray-unique-perl,
          libclass-accessor-perl,
-         perl (>= 5.13.10) | libcpan-meta-perl,
          libdpkg-perl,
          libemail-address-perl,
          libemail-date-format-perl,
@@ -71,7 +67,11 @@
          libtie-ixhash-perl,
          libwww-mechanize-perl,
          libyaml-perl,
-         perl
+         make,
+         perl,
+         perl (>= 5.13.10) | libcpan-meta-perl,
+         ${misc:Depends},
+         ${perl:Depends}
 Recommends: apt-file (>= 2.5.0),
             git,
             pristine-tar

## dh-make-perl 0.84

=== debian/changelog ===
dh-make-perl (0.84-2) unstable; urgency=medium

  * Add runtime dependency on libyaml-libyaml-perl.
    DhMakePerl::Command::Packaging uses YAML::XS but there was no
    dependency on the respective package.
    Thanks to Moritz Lenz for the bug report. (Closes: #775725)

 -- gregor herrmann <gregoa@debian.org>  Wed, 21 Jan 2015 18:56:38 +0100

dh-make-perl (0.84-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Fixing typos from commit message in debian/changelog

  [ Axel Beckert ]
  * t/*.t: use dh-make-perl without path instead of $Bin/../dh-make-perl if
    $ADTTMP is set
  * Add project-.proverc to enforce running with -j1 to avoid race conditions

  [ Salvatore Bonaccorso ]
  * Create packages using Standards-Version 3.9.6
  * Use Standards-Version 3.9.6 in testsuite control files
  * Declare compliance with Debian Policy 3.9.6

  [ gregor herrmann ]
  * Add 'Testsuite' as a valid field to Debian::Control::Stanza::Source.

  [ Damyan Ivanov ]
  * create debian/upstream/metadata in 'make' mode
  * make: add Testsuite: autopkgtest-pkg-perl source header in pkg-perl mode

  [ gregor herrmann ]
  * t/dists.t: check for $ENV{ADTTMP} in all dh-make-perl invocations.
  * Mark package as autopkgtest-able.

 -- Damyan Ivanov <dmn@debian.org>  Mon, 20 Oct 2014 20:56:10 +0000

=== debian/control ===
--- 
+++ 
@@ -43,9 +43,10 @@
                      libwww-mechanize-perl,
                      libyaml-perl,
                      perl (>= 5.13.10) | libcpan-meta-perl
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/dh-make-perl.git
 Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/dh-make-perl.git
+Testsuite: autopkgtest-pkg-perl
 
 Package: dh-make-perl
 Architecture: all
@@ -67,6 +68,7 @@
          libtie-ixhash-perl,
          libwww-mechanize-perl,
          libyaml-perl,
+         libyaml-libyaml-perl,
          make,
          perl,
          perl (>= 5.13.10) | libcpan-meta-perl,

## dh-make-perl 0.87

=== debian/changelog ===
dh-make-perl (0.87-1) unstable; urgency=medium

  * DpkgLists.t: add support for the new packaging layout in perl 5.22
    (Closes: #789729 -- FTBFS with perl 5.22)
  * add upstream signing keyring

 -- Damyan Ivanov <dmn@debian.org>  Sun, 12 Jul 2015 20:44:08 +0000

dh-make-perl (0.86-1) unstable; urgency=medium

  * Quote left brace in regex. Gives warning under perl 5.22 (Closes: #788894)
  * Replace usage of Module::Build::ModuleInfo (dropped in perl 5.22) with
    Module::Metadata (Closes: #788893)

 -- Damyan Ivanov <dmn@debian.org>  Tue, 16 Jun 2015 18:53:30 +0000

dh-make-perl (0.85-1) unstable; urgency=medium

  [ Damyan Ivanov ]
  * Config: fixup module name after possible setting it when run as 'cpan2deb'
    (Closes: #777718 -- cpan2deb using wrong module from CPAN)

  [ Axel Beckert ]
  * Improve misleading error message if apt-file installed but no contents
    files could be found.
  * Fix parsing of sources.list entry with options in brackets. (Closes:
    #783110; Thanks Lucas Nussbaum for the bug report.)

  [ Andy Beverley ]
  * Check existing new directory name before attempting a rename to it
    (Closes: #774071)
  * Reset Git environment variables to ensure correct repo is used
    (Closes: #774070)
  * Use correct location for deb when using install option
    (Closes: #774072)


  [ Damyan Ivanov ]
  * run 'dpkg -i pkg.deb' with sudo if we aren't root
  * bump years of copyright
  * new routine, info() for printing stuff in verbose mode, with an 'I: ' prefix
  * print the dpkg -i command
  * Packaging: parse 'dist.ini' if present
  * create_copyright: use copyright year from dist.ini (copyright_year)

 -- Damyan Ivanov <dmn@debian.org>  Sun, 24 May 2015 16:12:25 +0000

=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
 Build-Depends-Indep: libapt-pkg-perl,
                      libarray-unique-perl,
                      libclass-accessor-perl,
+                     libconfig-ini-perl,
                      libdpkg-perl,
                      libemail-address-perl,
                      libemail-date-format-perl,
@@ -56,6 +57,7 @@
          libapt-pkg-perl,
          libarray-unique-perl,
          libclass-accessor-perl,
+         libconfig-ini-perl,
          libdpkg-perl,
          libemail-address-perl,
          libemail-date-format-perl,

## dh-make-perl 0.89

=== debian/changelog ===
dh-make-perl (0.89-1) unstable; urgency=medium

  * Apply a patch from Andy Beverley for checking the versions of the locally
    available packages when doing recursive builds (Closes: #774074)
  * add libdpkg-parse-perl to Recommends

 -- Damyan Ivanov <dmn@debian.org>  Sat, 26 Sep 2015 18:27:14 +0000

dh-make-perl (0.88-1) unstable; urgency=medium

  [ gregor herrmann ]
  * DhMakePerl::Command::Packaging: extract_name_ver_from_build(): take
    the correct parameter from the regex when parsing the name out of
    Build.PL.

  [ Damyan Ivanov ]
  * t/DpkgLists.t: remove trailing newline from `dpkg-archivecture` call
    Fixes the test when perl is 5.22 or newer.
    Really Closes: #789729 -- FTBFS with perl 5.22

 -- Damyan Ivanov <dmn@debian.org>  Tue, 08 Sep 2015 09:20:19 +0000

=== debian/control ===
--- 
+++ 
@@ -78,6 +78,7 @@
          ${perl:Depends}
 Recommends: apt-file (>= 2.5.0),
             git,
+            libdpkg-parse-perl,
             pristine-tar
 Description: helper for creating Debian packages from perl modules
  dh-make-perl will create the files required to build a Debian source

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 override_dh_auto_test:
 # leave this here for Test::DistManifest..I want it to happen on package build but not on CPAN install.
 	mkdir -p $(BUILDHOME)
-	HOME=$(BUILDHOME) NO_NETWORK=1 RELEASE_TESTING=1 dh_auto_test
+	HOME=$(BUILDHOME) NO_NETWORK=1 dh_auto_test
 
 override_dh_clean:
 	dh_clean

=== debian/watch ===
version=2
opts=pgpsigurlmangle=s/$/.asc/ \
https://alioth.debian.org/frs/?group_id=30274 \
    .+/dh-make-perl_([\d.]+)\.orig\.tar\.gz

## dh-make-perl 0.90

=== debian/changelog ===
dh-make-perl (0.90-1) unstable; urgency=medium

  [ gregor herrmann ]
  * Switch to debhelper 9 for dh-make-perl itself.
  * Make sure we use at least debhelper 9 for created packages.
    Update documentation.
  * Update $VERSION.
  * Update years of copyright.
  * Change handling of Module::Build build dependency.
    Module::Build is removed from perl core since 5.21.x, so we need
    libmodule-build-perl in Build-Depends.
  * Rename autopkgtest configuration file(s) as per new pkg-perl-
    autopkgtest schema.
  * Add libmodule-build-perl to Recommends.
    Module::Build was removed from perl core in 5.22 but is needed for some
    CPAN distributions with --build (a.k.a. cpan2deb). (Closes: #811415)

  [ Salvatore Bonaccorso ]
  * When creating debian/control file use https transport in URI for Vcs-Git
  * Update copyright years for debian/* packaging files
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI
  * Create packages using Standards-Version 3.9.7
  * Use Standards-Version 3.9.7 in testsuite control files
  * Declare compliance with Debian Policy 3.9.7

  [ Andy Beverley ]
  * Add deb install options for dependencies.
    This provides 2 new options: --install-build-deps and --install-deps,
    which install just those packages required for building, and install all
    related packages, respectively.

  [ gregor herrmann ]
  * Bump oldstable perl version from 5.10.1 to 5.14.2.
  * Update documentation for the --bdepends, --bdependsi, --depends
    options. They add (build) dependencies to the automatically found
    packages since 0.49. (Cf. #813766)
  * Adjust to apt-file 3, which dropped its own cache of Contents files in
    favour of APT's cache.
    - use `apt-get indextargets' and `/usr/lib/apt/apt-helper cat-file' to
      find/read the Contents files
    - drop --apt-contents-dir and --sources-list command line options
    - update tests accordingly, including a fake apt-get to point to the test
      Contents files
    - bump versioned Recommends on apt-file to 3 and add apt (>= 1.1.8)
    Thanks to Niels Thykier for his help.
    Closes: #815190

  [ Sean Whitton ]
  * Add Built-Using: to recognised binary package stanza fields
    (Closes: #819701)

  [ Salvatore Bonaccorso ]
  * Create packages using Standards-Version 3.9.8
  * Use Standards-Version 3.9.8 in testsuite control files
  * Declare compliance with Debian policy 3.9.8

 -- gregor herrmann <gregoa@debian.org>  Wed, 06 Apr 2016 17:20:35 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
            Axel Beckert <abe@debian.org>
 Section: perl
 Priority: optional
-Build-Depends: debhelper (>= 8),
+Build-Depends: debhelper (>= 9),
                libmodule-build-perl,
                perl
 Build-Depends-Indep: libapt-pkg-perl,
@@ -44,14 +44,17 @@
                      libwww-mechanize-perl,
                      libyaml-perl,
                      perl (>= 5.13.10) | libcpan-meta-perl
-Standards-Version: 3.9.6
+# for RELEASE_TESTING
+#                     , libtest-perl-critic-perl
+#                     , libtest-version-perl
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/dh-make-perl.git
-Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/dh-make-perl.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/dh-make-perl.git
 Testsuite: autopkgtest-pkg-perl
 
 Package: dh-make-perl
 Architecture: all
-Depends: debhelper (>= 8),
+Depends: debhelper (>= 9),
          dpkg-dev,
          fakeroot,
          libapt-pkg-perl,
@@ -76,9 +79,11 @@
          perl (>= 5.13.10) | libcpan-meta-perl,
          ${misc:Depends},
          ${perl:Depends}
-Recommends: apt-file (>= 2.5.0),
+Recommends: apt-file (>= 3),
+            apt (>= 1.1.8),
             git,
             libdpkg-parse-perl,
+            libmodule-build-perl,
             pristine-tar
 Description: helper for creating Debian packages from perl modules
  dh-make-perl will create the files required to build a Debian source

## dh-make-perl 0.91

=== debian/changelog ===
dh-make-perl (0.91) unstable; urgency=medium

  [ gregor herrmann ]
  * debian/source/format: switch to '3.0 (native)'.
    Cf. the thread at https://lists.debian.org/debian-perl/2016/03/msg00038.html
    for the history and pros/cons of having a non-native vs. a native package.
  * Drop debian/{watch,upstream-signing-key.pgp,source/include-binaries}.
    Not needed for a native package.
  * Add a lintian override for latest-debian-changelog-entry-changed-to-
    native.
  * Debian::Control::FromCPAN: find_debs_for_modules(): exit version loop.
    When searching for versioned dependency, the method issues the warning
    "$module package in APT ($d) does not satisfy $dep" even when higher
    versions are available. Exit the loop as soon as we have a high enough
    version.
  * Issue a warning in build_package if local::lib usage is detected.
    local::lib sets the installation path (by default to $HOME/perl5) via
    PERL_MB_OPT/PERL_MM_OPT which is not what we want in the built
    package. Messing with the environment is a bit too brittle, so we
    issue a fat warning and give recommendations for deactivating the
    local::lib environment temporarily.
    Thanks to Jacob L Anawalt for the bug report. (Closes: #820395)
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
  * DhMakePerl::Utils: when checking for core modules, look at current
    perl.
    Various helpers which check if a module is in Perl core or starting from
    which version only looked at the first Perl version. This ignored cases
    where a package was removed from core at some point.
    Change those methods to return if a module is not currently in Perl core.
    Thanks to Peter Valdemar Mørch for the bug report. (Closes: #788198)
  * DhMakePerl::Command::Packaging: don't enforce 9.20120312~ for
    debhelper in arch:any packages anymore. There is no older version in
    the archive anymore.

  [ Sean Whitton ]
  * Strip comments when reading control files.  (Closes: #823708)
    Otherwise, control files containing comments cause a parse failure.

  [ Salvatore Bonaccorso ]
  * Use HTTPS transport protocol for Format URI in copyright file.
    Refresh or create new copyright files using HTTPS transport protocol for
    the Format URI to the copyright format specification.
    Adjust tests to use HTTPS transport protocol as well in the Format
    fields.
  * Use HTTPS transport protocol for various URLs in POD

  [ Nick Morrott ]
  * DhMakePerl::Command::Packaging:
    - remove trailing whitespace from Artistic 2.0 license text
    - remove trailing whitespace from copyright DISCLAIMER text

  [ gregor herrmann ]
  * Update copyright holder list for DhMakePerl::Command::Packaging.
  * Split package into dh-make-perl and libdebian-source-perl.
    The latter contains generally useful Perl modules.
    Thanks to Sean Whitton for the bug report.
    (Closes: #823067)

 -- gregor herrmann <gregoa@debian.org>  Sat, 02 Jul 2016 13:45:02 +0200

=== debian/control ===
--- 
+++ 
@@ -62,16 +62,17 @@
          libclass-accessor-perl,
          libconfig-ini-perl,
          libdpkg-perl,
+         libdebian-source-perl,
          libemail-address-perl,
          libemail-date-format-perl,
          libfile-which-perl,
          liblist-moreutils-perl,
          libmodule-depends-perl (>= 0.15),
-         libparse-debcontrol-perl,
          libparse-debianchangelog-perl,
          libsoftware-license-perl,
          libtie-ixhash-perl,
          libwww-mechanize-perl,
+         libwww-perl,
          libyaml-perl,
          libyaml-libyaml-perl,
          make,
@@ -97,3 +98,36 @@
  Perl module packages.
  .
  Includes the cpan2deb and cpan2dsc flavours.
+
+Package: libdebian-source-perl
+Architecture: all
+Depends: ${misc:Depends},
+         ${perl:Depends},
+         dpkg-dev,
+         libapt-pkg-perl,
+         libarray-unique-perl,
+         libclass-accessor-perl,
+         liblist-moreutils-perl,
+         libparse-debcontrol-perl,
+         libtie-ixhash-perl,
+         libwww-mechanize-perl,
+         libwww-perl
+Breaks: dh-make-perl (<< 0.91)
+Replaces: dh-make-perl (<< 0.91)
+Description: collection of Perl modules for handling Debian source packages
+ This collection of Perl modules was originally developed to support
+ dh-make-perl, but may also be useful for other tools that need to
+ manipulate (unpacked) Debian source packages.  The current modules in
+ the package are:
+ .
+  * Debian::Control
+  * Debian::Control::Stanza
+  * Debian::Control::Stanza::Binary
+  * Debian::Control::Stanza::CommaSeparated
+  * Debian::Control::Stanza::Source
+  * Debian::Dependencies
+  * Debian::Dependency
+  * Debian::DpkgLists
+  * Debian::Rules
+  * Debian::WNPP::Bug
+  * Debian::WNPP::Query
